Drop Blocked Columns from the Destination.
Mark multiple blocked columns for deletion from your destination tables. The columns will be dropped during the next sync.
Request schema
Path parameters
The unique identifier for the connection within the Fivetran system.
Header parameters
HTTP: basicAuth
HTTP AuthorizationScheme: basic
Request
The set of schemas within your connection schema config. Each key is the schema name as stored in the connection schema config. Schema names are case-sensitive; an incorrect case results in an HTTP 404 error.
The set of tables within your database schema config. Each key is the table name as stored in the connection schema config. Table names are case-sensitive; an incorrect case results in an HTTP 404 error.
The set of columns within your table schema config. Each key is the column name as stored in the connection schema config. Column names are case-sensitive; an incorrect case results in an HTTP 404 error. The columns object in the response contains the columns whose enabled value has been set by the user after the initial sync.
POST /v1/connections/connectionId/schemas/drop-columns HTTP/1.1 Accept: application/json Authorization: BasicContent-Type: application/json Host: api.fivetran.com Content-Length: 155 { "schemas": { "schema": { "tables": { "table": { "columns": [ "string" ] } } } } }
Responses
200
Response status code
Response status text
{ "code": "Success", "message": "Column(s) successfully marked for deletion" }